Skip to main content

Create Azure File Share Instance

This API creates an Azure File Share Instance.

Request Body
    oneOf

  • name string required

    ObjectStorage instance name.

  • plan object required
  • id int32
  • name string
  • credential object required
  • id int32
  • name string
  • contents object
  • path string[]

    Optional list of files and folders to be added as content. Defaults to /

  • exclusions string[]

    Optional list of files and folders to exclude

  • exceptions string[]

    Optional list of files and folders to be added to the exceptions list

  • hostURL string

    Optional. Defaults to file.core.windows.net

  • region object required
  • id int32
  • name string
  • accessNodes object[]
  • id int32

    Id of ObjectStorage access node. This could be a Client id or Client Group id.

  • name string

    Name of ObjectStorage access node. This could be a Client name or Client Group name.

  • type string

    Possible values - 'client' for Access nodes and 'clientGroup' for Access node group. If not passed, it is defaulted to 'client'.

Responses

OK


Schema
  • id int32
  • name string
Loading...